Subject: Re: [RFC 0/3] Make git more user-friendly during a merge conflict

From: David Kastrup <[email-masked]>
Date: Fri, 28 Feb 2014 11:11:53 +0100

Stephen Leake <[email-masked]> writes:

> I like commands that "do the right thing". So no, this would not be
> confusing.

I _hate_ commands that think they know better than to do what they are
told.  In particular when doing destructive things.  And just because
_you_ like them does not mean they are not confusing.

In the long run, it is much more confusing if you come to rely on some
commands doing "the right thing" while in other cases, the actually
written thing is done.

"do the right thing" commands also tend to do the wrong thing
occasionally with potentially disastrous results when they are used in
scripts where the followup actions rely on the actual result.

-- 
David Kastrup